#include "LockableDObject.h"

/**
 * @brief Access the underlying DObject.
 */
DObject& LockableDObject::get() {
    return object_;
}

/**
 * @brief Locks the mutex to ensure thread-safe access.
 */
void LockableDObject::lock() {
    mutex_.lock();
}

/**
 * @brief Unlocks the mutex after thread-safe access.
 */
void LockableDObject::unlock() {
    mutex_.unlock();
}
